package com.example.mobapp_16_1;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
	    Intent intent = getIntent();
	    String type = intent.getType();
	    
	    if (type!=null && type.equals("text/plain"))
	    {
	    	String sharedText = intent.getStringExtra(Intent.EXTRA_TEXT);
            if (sharedText != null) {
                String s = "! "+sharedText+" !";
                intent.putExtra("myresult", s);
                this.setResult(RESULT_OK, intent);
                
                finish();
            }
	    }
	    		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
